Bug 230799 - crash while editing picture
Summary: crash while editing picture
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Albums-Engine (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-15 07:56 UTC by Luc Sierens
Modified: 2017-08-08 11:36 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luc Sierens 2010-03-15 07:56:52 UTC
Application that crashed: digikam
Version of the application: 1.0.0
KDE Version: 4.3.5 (KDE 4.3.5)
Qt Version: 4.5.2
Operating System: Linux 2.6.31-20-generic i686
Distribution: Ubuntu 9.10

What I was doing when the application crashed:
edited picture (curves) - when saving --> crash

 -- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0xb76dc920 (LWP 4940))]

Thread 23 (Thread 0xb5f05b70 (LWP 4943)):
#0  0x004c9422 in __kernel_vsyscall ()
#1  0x00316e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x01ab587d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x017f8e67 in QWaitConditionPrivate::wait (this=0xa3b41f8, mutex=0xa3b41f4, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xa3b41f8, mutex=0xa3b41f4, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x08319c89 in Digikam::ScanController::run (this=0xa3bc800) at /build/buildd/digikam-1.0.0/digikam/scancontroller.cpp:499
#6  0x017f7e32 in QThreadPrivate::start (arg=0xa3bc800) at thread/qthread_unix.cpp:188
#7  0x0031280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x01aa88de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 22 (Thread 0xb566cb70 (LWP 4945)):
#0  0x00ac7e06 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x01914bf3 in QTimerInfoList::getTime (this=0xa431bcc, t=...) at kernel/qeventdispatcher_unix.cpp:339
#2  0x01914de1 in QTimerInfoList::updateCurrentTime (this=0xa431bcc) at kernel/qeventdispatcher_unix.cpp:297
#3  0x0191588c in QTimerInfoList::timerWait (this=0xa431bcc, tm=...) at kernel/qeventdispatcher_unix.cpp:420
#4  0x01913210 in timerSourcePrepare (source=0xa431b98, timeout=0xb566c11c) at kernel/qeventdispatcher_glib.cpp:141
#5  0x02bfdf90 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#6  0x02bfe351 in ?? () from /lib/libglib-2.0.so.0
#7  0x02bfe863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#8  0x01913067 in QEventDispatcherGlib::processEvents (this=0xa84ca80, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#9  0x018e6c79 in QEventLoop::processEvents (this=0xb566c2e4, flags=) at kernel/qeventloop.cpp:149
#10 0x018e70ca in QEventLoop::exec (this=0xb566c2e4, flags=...) at kernel/qeventloop.cpp:201
#11 0x017f4b73 in QThread::exec (this=0xa825740) at thread/qthread.cpp:487
#12 0x008cb34d in Digikam::ImageFilterModelWorker::Thread::run() () from /usr/lib/libdigikamdatabase.so.1
#13 0x017f7e32 in QThreadPrivate::start (arg=0xa825740) at thread/qthread_unix.cpp:188
#14 0x0031280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#15 0x01aa88de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 21 (Thread 0xb4ddfb70 (LWP 4946)):
#0  0x004c9422 in __kernel_vsyscall ()
#1  0x01a9ac96 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x02c0b54b in g_poll () from /lib/libglib-2.0.so.0
#3  0x02bfe56b in ?? () from /lib/libglib-2.0.so.0
#4  0x02bfe863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x01913067 in QEventDispatcherGlib::processEvents (this=0xa6f21d0, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#6  0x018e6c79 in QEventLoop::processEvents (this=0xb4ddf2e4, flags=) at kernel/qeventloop.cpp:149
#7  0x018e70ca in QEventLoop::exec (this=0xb4ddf2e4, flags=...) at kernel/qeventloop.cpp:201
#8  0x017f4b73 in QThread::exec (this=0xa828698) at thread/qthread.cpp:487
#9  0x008cb34d in Digikam::ImageFilterModelWorker::Thread::run() () from /usr/lib/libdigikamdatabase.so.1
#10 0x017f7e32 in QThreadPrivate::start (arg=0xa828698) at thread/qthread_unix.cpp:188
#11 0x0031280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#12 0x01aa88de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 20 (Thread 0xb455eb70 (LWP 4947)):
#0  0x004c9422 in __kernel_vsyscall ()
#1  0x00316e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x01ab587d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x017f8e67 in QWaitConditionPrivate::wait (this=0xa558f38, mutex=0xa558f34, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xa558f38, mutex=0xa558f34, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x087fd8aa in Digikam::LoadSaveThread::run (this=0xa558f28) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x017f7e32 in QThreadPrivate::start (arg=0xa558f28) at thread/qthread_unix.cpp:188
#7  0x0031280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x01aa88de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 19 (Thread 0xb3d5db70 (LWP 4948)):
#0  0x00314d4b in pthread_mutex_lock () from /lib/tls/i686/cmov/libpthread.so.0
#1  0x01ab5a46 in pthread_mutex_lock () from /lib/tls/i686/cmov/libc.so.6
#2  0x02bfdfcf in g_main_context_prepare () from /lib/libglib-2.0.so.0
#3  0x02bfe351 in ?? () from /lib/libglib-2.0.so.0
#4  0x02bfe863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x01913067 in QEventDispatcherGlib::processEvents (this=0xa7f2478, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#6  0x018e6c79 in QEventLoop::processEvents (this=0xb3d5d304, flags=) at kernel/qeventloop.cpp:149
#7  0x018e70ca in QEventLoop::exec (this=0xb3d5d304, flags=...) at kernel/qeventloop.cpp:201
#8  0x017f4b73 in QThread::exec (this=0xa68c388) at thread/qthread.cpp:487
#9  0x017f7e32 in QThreadPrivate::start (arg=0xa68c388) at thread/qthread_unix.cpp:188
#10 0x0031280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#11 0x01aa88de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 18 (Thread 0xb355cb70 (LWP 4949)):
#0  0x00314d4b in pthread_mutex_lock () from /lib/tls/i686/cmov/libpthread.so.0
#1  0x01ab5a46 in pthread_mutex_lock () from /lib/tls/i686/cmov/libc.so.6
#2  0x02bfde2f in g_main_context_prepare () from /lib/libglib-2.0.so.0
#3  0x02bfe351 in ?? () from /lib/libglib-2.0.so.0
#4  0x02bfe863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x01913067 in QEventDispatcherGlib::processEvents (this=0xa75b4d0, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#6  0x018e6c79 in QEventLoop::processEvents (this=0xb355c304, flags=) at kernel/qeventloop.cpp:149
#7  0x018e70ca in QEventLoop::exec (this=0xb355c304, flags=...) at kernel/qeventloop.cpp:201
#8  0x017f4b73 in QThread::exec (this=0xa6c62e8) at thread/qthread.cpp:487
#9  0x017f7e32 in QThreadPrivate::start (arg=0xa6c62e8) at thread/qthread_unix.cpp:188
#10 0x0031280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#11 0x01aa88de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 17 (Thread 0xb2d5bb70 (LWP 4950)):
#0  0x004c9422 in __kernel_vsyscall ()
#1  0x00316e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x01ab587d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x017f8e67 in QWaitConditionPrivate::wait (this=0xa887108, mutex=0xa887104, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xa887108, mutex=0xa887104, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x087fd8aa in Digikam::LoadSaveThread::run (this=0xa8870f8) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x017f7e32 in QThreadPrivate::start (arg=0xa8870f8) at thread/qthread_unix.cpp:188
#7  0x0031280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x01aa88de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 16 (Thread 0xaff65b70 (LWP 4961)):
#0  0x004c9422 in __kernel_vsyscall ()
#1  0x00317142 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x01ab58d4 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
#3  0x0378b9ff in ?? () from /usr/lib/libxine.so.1
#4  0x0031280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x01aa88de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 15 (Thread 0xaf359b70 (LWP 4965)):
#0  0x004c9422 in __kernel_vsyscall ()
#1  0x01aa1a71 in select () from /lib/tls/i686/cmov/libc.so.6
#2  0x037b4be0 in xine_usec_sleep () from /usr/lib/libxine.so.1
#3  0x03799011 in ?? () from /usr/lib/libxine.so.1
#4  0x0031280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x01aa88de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 14 (Thread 0xaeb58b70 (LWP 4966)):
#0  0x00314d4b in pthread_mutex_lock () from /lib/tls/i686/cmov/libpthread.so.0
#1  0x01ab5a46 in pthread_mutex_lock () from /lib/tls/i686/cmov/libc.so.6
#2  0x02bfe520 in ?? () from /lib/libglib-2.0.so.0
#3  0x02bfe863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x01913067 in QEventDispatcherGlib::processEvents (this=0xae2fac0, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#5  0x018e6c79 in QEventLoop::processEvents (this=0xaeb582b4, flags=) at kernel/qeventloop.cpp:149
#6  0x018e70ca in QEventLoop::exec (this=0xaeb582b4, flags=...) at kernel/qeventloop.cpp:201
#7  0x017f4b73 in QThread::exec (this=0xaa222e8) at thread/qthread.cpp:487
#8  0x0372a20a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#9  0x017f7e32 in QThreadPrivate::start (arg=0xaa222e8) at thread/qthread_unix.cpp:188
#10 0x0031280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#11 0x01aa88de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 13 (Thread 0xaa348b70 (LWP 4975)):
#0  0x004c9422 in __kernel_vsyscall ()
#1  0x01a9ac96 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x03b0acc2 in ?? () from /usr/lib/libpulse.so.0
#3  0x03af7e09 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#4  0x03af9c23 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#5  0x03af9cf4 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#6  0x03b0abc3 in ?? () from /usr/lib/libpulse.so.0
#7  0x03b57ac2 in ?? () from /usr/lib/libpulsecommon-0.9.19.so
#8  0x0031280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#9  0x01aa88de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 12 (Thread 0xa9b47b70 (LWP 4976)):
#0  0x08fa44f7 in ?? () from /usr/lib/libasound.so.2
#1  0x08fb41d1 in snd_hctl_poll_descriptors () from /usr/lib/libasound.so.2
#2  0x08fbf9b7 in snd_mixer_poll_descriptors () from /usr/lib/libasound.so.2
#3  0x03e17c14 in ?? () from /usr/lib/xine/plugins/1.26/xineplug_ao_out_alsa.so
#4  0x0031280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x01aa88de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 11 (Thread 0xa9346b70 (LWP 4977)):
#0  0x004c9422 in __kernel_vsyscall ()
#1  0x00316e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x01ab587d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x0379c5ee in ?? () from /usr/lib/libxine.so.1
#4  0x0031280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x01aa88de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 10 (Thread 0xa6effb70 (LWP 4987)):
#0  0x004c9422 in __kernel_vsyscall ()
#1  0x00316e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x01ab587d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x017f8e67 in QWaitConditionPrivate::wait (this=0xb334548, mutex=0xb334544, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xb334548, mutex=0xb334544, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x087fd8aa in Digikam::LoadSaveThread::run (this=0xb334538) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x017f7e32 in QThreadPrivate::start (arg=0xb334538) at thread/qthread_unix.cpp:188
#7  0x0031280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x01aa88de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 9 (Thread 0xa2afeb70 (LWP 4994)):
#0  0x004c9422 in __kernel_vsyscall ()
#1  0x00316e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x01ab587d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x017f8e67 in QWaitConditionPrivate::wait (this=0xb467a88, mutex=0xb467a84, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xb467a88, mutex=0xb467a84, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x087fd8aa in Digikam::LoadSaveThread::run (this=0xb467a78) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x017f7e32 in QThreadPrivate::start (arg=0xb467a78) at thread/qthread_unix.cpp:188
#7  0x0031280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x01aa88de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 8 (Thread 0xa66feb70 (LWP 4995)):
#0  0x004c9422 in __kernel_vsyscall ()
#1  0x00316e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x01ab587d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x017f8e67 in QWaitConditionPrivate::wait (this=0xb83e840, mutex=0xb83e83c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xb83e840, mutex=0xb83e83c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x087fd8aa in Digikam::LoadSaveThread::run (this=0xb83e830) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x017f7e32 in QThreadPrivate::start (arg=0xb83e830) at thread/qthread_unix.cpp:188
#7  0x0031280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x01aa88de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 7 (Thread 0x9eed4b70 (LWP 5006)):
#0  0x004c9422 in __kernel_vsyscall ()
#1  0x00316e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x01ab587d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x017f8e67 in QWaitConditionPrivate::wait (this=0xb90b550, mutex=0xb90b54c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xb90b550, mutex=0xb90b54c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x087fd8aa in Digikam::LoadSaveThread::run (this=0xb90b540) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x017f7e32 in QThreadPrivate::start (arg=0xb90b540) at thread/qthread_unix.cpp:188
#7  0x0031280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x01aa88de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 6 (Thread 0x9f6d5b70 (LWP 5007)):
#0  0x004c9422 in __kernel_vsyscall ()
#1  0x00316e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x01ab587d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x017f8e67 in QWaitConditionPrivate::wait (this=0xc78a200, mutex=0xc78a1fc, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xc78a200, mutex=0xc78a1fc, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x087fd8aa in Digikam::LoadSaveThread::run (this=0xc78a1f0) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x017f7e32 in QThreadPrivate::start (arg=0xc78a1f0) at thread/qthread_unix.cpp:188
#7  0x0031280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x01aa88de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 5 (Thread 0xa82edb70 (LWP 5018)):
#0  0x004c9422 in __kernel_vsyscall ()
#1  0x00316e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x01ab587d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x017f8e67 in QWaitConditionPrivate::wait (this=0xc4388b8, mutex=0xc4388b4, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xc4388b8, mutex=0xc4388b4, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x087fd8aa in Digikam::LoadSaveThread::run (this=0xc4388a8) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x017f7e32 in QThreadPrivate::start (arg=0xc4388a8) at thread/qthread_unix.cpp:188
#7  0x0031280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x01aa88de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 4 (Thread 0xa32ffb70 (LWP 5019)):
#0  0x004c9422 in __kernel_vsyscall ()
#1  0x00316e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x01ab587d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x017f8e67 in QWaitConditionPrivate::wait (this=0xcd174d0, mutex=0xcd174cc, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xcd174d0, mutex=0xcd174cc, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x087fd8aa in Digikam::LoadSaveThread::run (this=0xcd174c0) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x017f7e32 in QThreadPrivate::start (arg=0xcd174c0) at thread/qthread_unix.cpp:188
#7  0x0031280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x01aa88de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 3 (Thread 0x9accbb70 (LWP 5020)):
#0  0x004c9422 in __kernel_vsyscall ()
#1  0x00316e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x01ab587d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x017f8e67 in QWaitConditionPrivate::wait (this=0xcf9b250, mutex=0xcf9b24c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xcf9b250, mutex=0xcf9b24c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x087fd8aa in Digikam::LoadSaveThread::run (this=0xcf9b240) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x017f7e32 in QThreadPrivate::start (arg=0xcf9b240) at thread/qthread_unix.cpp:188
#7  0x0031280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x01aa88de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 2 (Thread 0x9a4cab70 (LWP 5021)):
#0  0x004c9422 in __kernel_vsyscall ()
#1  0x00316e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x01ab587d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x017f8e67 in QWaitConditionPrivate::wait (this=0xd055e60, mutex=0xd055e5c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xd055e60, mutex=0xd055e5c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x087fd8aa in Digikam::LoadSaveThread::run (this=0xd055e50) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x017f7e32 in QThreadPrivate::start (arg=0xd055e50) at thread/qthread_unix.cpp:188
#7  0x0031280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x01aa88de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb76dc920 (LWP 4940)):
[KCrash Handler]
#6  0x0183b8e5 in QString::size (this=0xcfb2ad8, other=...) at ../../include/QtCore/../../src/corelib/tools/qstring.h:104
#7  QString::operator== (this=0xcfb2ad8, other=...) at tools/qstring.cpp:1912
#8  0x07a2adaf in KDirWatchPrivate::Entry::findSubEntry (this=0xa4eadb0) at ../../kio/kio/kdirwatch_p.h:157
#9  KDirWatchPrivate::inotifyEventReceived (this=0xa4eadb0) at ../../kio/kio/kdirwatch.cpp:297
#10 0x07a2c4cb in KDirWatchPrivate::qt_metacall (this=0xa4eadb0, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0xbfe9fa28) at ./kdirwatch_p.moc:75
#11 0x018fe263 in QMetaObject::activate (sender=0xa3e4108, from_signal_index=4, to_signal_index=4, argv=0xbfe9fa28) at kernel/qobject.cpp:3113
#12 0x018feec2 in QMetaObject::activate (sender=0xa3e4108, m=0x19d98b0, local_signal_index=0, argv=0xbfe9fa28) at kernel/qobject.cpp:3187
#13 0x01938503 in QSocketNotifier::activated (this=0xa3e4108, _t1=25) at .moc/release-shared/moc_qsocketnotifier.cpp:83
#14 0x01902c87 in QSocketNotifier::event (this=0xa3e4108, e=0xbfe9fde4) at kernel/qsocketnotifier.cpp:316
#15 0x057b6f54 in QApplicationPrivate::notify_helper (this=0xa1e7cc8, receiver=0xa3e4108, e=0xbfe9fde4) at kernel/qapplication.cpp:4056
#16 0x057be67c in QApplication::notify (this=0xbfea0138, receiver=0xa3e4108, e=0xbfe9fde4) at kernel/qapplication.cpp:3603
#17 0x015e925a in KApplication::notify (this=0xbfea0138, receiver=0xa3e4108, event=0xbfe9fde4) at ../../kdeui/kernel/kapplication.cpp:302
#18 0x018e86cb in QCoreApplication::notifyInternal (this=0xbfea0138, receiver=0xa3e4108, event=0xbfe9fde4) at kernel/qcoreapplication.cpp:610
#19 0x019132ca in QCoreApplication::sendEvent (source=0xa1eaa48) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#20 socketNotifierSourceDispatch (source=0xa1eaa48) at kernel/qeventdispatcher_glib.cpp:110
#21 0x02bfae88 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#22 0x02bfe730 in ?? () from /lib/libglib-2.0.so.0
#23 0x02bfe863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#24 0x0191302c in QEventDispatcherGlib::processEvents (this=0xa1c1e80, flags=...) at kernel/qeventdispatcher_glib.cpp:327
#25 0x05857be5 in QGuiEventDispatcherGlib::processEvents (this=0xa1c1e80, flags=...) at kernel/qguieventdispatcher_glib.cpp:202
#26 0x018e6c79 in QEventLoop::processEvents (this=0xbfea0084, flags=) at kernel/qeventloop.cpp:149
#27 0x018e70ca in QEventLoop::exec (this=0xbfea0084, flags=...) at kernel/qeventloop.cpp:201
#28 0x018e953f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#29 0x057b6dd7 in QApplication::exec () at kernel/qapplication.cpp:3525
#30 0x083bcb2b in main (argc=5, argv=0xbfea05a4) at /build/buildd/digikam-1.0.0/digikam/main.cpp:195

Reported using DrKonqi
Comment 1 caulier.gilles 2010-03-15 09:50:39 UTC

*** This bug has been marked as a duplicate of bug 222547 ***
Comment 2 caulier.gilles 2017-07-19 03:49:44 UTC
Problem not reproducible since digiKam 5.0.0 as KDirWatch has been ported to
QFileSystemWatcher